diff gui_ze/time_to_first_byte.sh @ 23:2d0d0b6c8906

[GuiZe] Adding TTFB calculating script.
author June Park <parkjune1995@gmail.com>
date Tue, 07 Oct 2025 08:55:40 -0700
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/gui_ze/time_to_first_byte.sh	Tue Oct 07 08:55:40 2025 -0700
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -euo pipefail
+
+URL="${1:-http://seobeo.babocoder.com/}"
+
+curl -o /dev/null -s -w 'namelookup: %{time_namelookup}s\nconnect: %{time_connect}s\ntls: %{time_appconnect}s\nrequest: %{time_pretransfer}s\nTTFB: %{time_starttransfer}s\ntotal: %{time_total}s\n' "$URL"